Bug 1575097 - [abrt] lyx: std::__replacement_assert(): lyx killed by SIGABRT
Summary: [abrt] lyx: std::__replacement_assert(): lyx killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lyx
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3a59b6fe120bc5c4a58c4eab693...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 18:36 UTC by José Matos
Modified: 2018-09-27 02:34 UTC (History)
1 user (show)

Fixed In Version: lyx-2.3.1-1.fc27 lyx-2.3.1-1.fc29 lyx-2.3.1-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-26 20:16:37 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (63.26 KB, text/plain)
2018-05-04 18:36 UTC, José Matos
no flags Details
File: cgroup (341 bytes, text/plain)
2018-05-04 18:36 UTC, José Matos
no flags Details
File: core_backtrace (20.28 KB, text/plain)
2018-05-04 18:36 UTC, José Matos
no flags Details
File: cpuinfo (1.13 KB, text/plain)
2018-05-04 18:36 UTC, José Matos
no flags Details
File: dso_list (20.17 KB, text/plain)
2018-05-04 18:36 UTC, José Matos
no flags Details
File: environ (3.44 KB, text/plain)
2018-05-04 18:36 UTC, José Matos
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-04 18:36 UTC, José Matos
no flags Details
File: maps (99.03 KB, text/plain)
2018-05-04 18:36 UTC, José Matos
no flags Details
File: mountinfo (3.16 KB, text/plain)
2018-05-04 18:36 UTC, José Matos
no flags Details
File: open_fds (4.97 KB, text/plain)
2018-05-04 18:36 UTC, José Matos
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-05-04 18:36 UTC, José Matos
no flags Details

Description José Matos 2018-05-04 18:36:31 UTC
Description of problem:
Using search and replace when coming to the end of the document and choosing to resuming the replacement from the begin crashed lyx.

Version-Release number of selected component:
lyx-2.3.0-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/lyx -session 106d797468000152390949500000013900021_1524207483_17818
crash_function: std::__replacement_assert
executable:     /usr/bin/lyx
journald_cursor: s=e8aaf388abbe41258e021dea65b3eadc;i=8e74ae;b=3e318b3cd6f249fea770d9f27225d47f;m=2a1086c11;t=56a47935502d8;x=687789148978d7d6
kernel:         4.16.2-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 std::__replacement_assert at /usr/include/c++/8/x86_64-redhat-linux/bits/c++config.h:2389
 #3 std::__cxx11::basic_string<wchar_t, std::char_traits<wchar_t>, std::allocator<wchar_t> >::operator[] at Paragraph.cpp:3745
 #4 lyx::Paragraph::getInset at Paragraph.cpp:3747
 #5 lyx::Paragraph::isInset at Paragraph.cpp:3885
 #6 lyx::ParagraphMetrics::computeRowSignature at ParagraphMetrics.cpp:92
 #7 lyx::TextMetrics::drawParagraph(lyx::PainterInfo&, long, int, int) const at TextMetrics.cpp:1883
 #8 lyx::TextMetrics::draw at TextMetrics.cpp:1787
 #9 lyx::BufferView::draw(lyx::frontend::Painter&) at BufferView.cpp:3093
 #10 lyx::frontend::GuiWorkArea::Private::updateScreen() at GuiWorkArea.cpp:1219
 #11 lyx::frontend::GuiWorkArea::redraw at GuiWorkArea.cpp:494

Comment 1 José Matos 2018-05-04 18:36:36 UTC
Created attachment 1431538 [details]
File: backtrace

Comment 2 José Matos 2018-05-04 18:36:37 UTC
Created attachment 1431539 [details]
File: cgroup

Comment 3 José Matos 2018-05-04 18:36:39 UTC
Created attachment 1431540 [details]
File: core_backtrace

Comment 4 José Matos 2018-05-04 18:36:40 UTC
Created attachment 1431541 [details]
File: cpuinfo

Comment 5 José Matos 2018-05-04 18:36:42 UTC
Created attachment 1431542 [details]
File: dso_list

Comment 6 José Matos 2018-05-04 18:36:43 UTC
Created attachment 1431543 [details]
File: environ

Comment 7 José Matos 2018-05-04 18:36:45 UTC
Created attachment 1431544 [details]
File: limits

Comment 8 José Matos 2018-05-04 18:36:47 UTC
Created attachment 1431545 [details]
File: maps

Comment 9 José Matos 2018-05-04 18:36:48 UTC
Created attachment 1431546 [details]
File: mountinfo

Comment 10 José Matos 2018-05-04 18:36:50 UTC
Created attachment 1431547 [details]
File: open_fds

Comment 11 José Matos 2018-05-04 18:36:51 UTC
Created attachment 1431548 [details]
File: proc_pid_status

Comment 12 José Matos 2018-05-04 19:00:46 UTC
FWIW I reported this at lyx developers list.

I have not been able to reproduce the crash after this occurrence.

Comment 13 Fedora Update System 2018-09-16 22:52:09 UTC
lyx-2.3.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-21d24093c6

Comment 14 Fedora Update System 2018-09-16 22:52:42 UTC
lyx-2.3.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-59da356db4

Comment 15 Fedora Update System 2018-09-16 22:53:21 UTC
lyx-2.3.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0166116eae

Comment 16 Fedora Update System 2018-09-17 01:07:40 UTC
lyx-2.3.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-21d24093c6

Comment 17 Fedora Update System 2018-09-17 01:50:37 UTC
lyx-2.3.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0166116eae

Comment 18 Fedora Update System 2018-09-17 04:26:37 UTC
lyx-2.3.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-59da356db4

Comment 19 Fedora Update System 2018-09-26 20:16:37 UTC
lyx-2.3.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-09-26 20:20:53 UTC
lyx-2.3.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-09-27 02:34:08 UTC
lyx-2.3.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.